Page MenuHomePhabricator

NDA request for @WMDE-leszek
Closed, ResolvedPublic

Description

As an employee of WMDE Germany I request access to access Graphite data and edit (some) Graphana dashboards, in particular:

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptApr 20 2016, 11:41 AM
WMDE-leszek updated the task description. (Show Details)Apr 20 2016, 11:42 AM

so you need to sign the NDA to get added to the 'nda' LDAP group (don't know if we use a separate task for this or not), which will allow your wikitech/gerrit/etc. credentials to be used to login to graphite/grafana-admin

Right. If I am reading https://wikitech.wikimedia.org/wiki/Volunteer_NDA#Get_Support right I should be first made a member of "WMF-NDA-Request" project, so I could sign L2 on Phabricator. What should I do to get added to the project?

According to the steps on https://wikitech.wikimedia.org/wiki/Volunteer_NDA#Get_Support some endorsement is needed first...

@WMDE-leszek: Do you have anybody in mind who could "endorse" you?

@Aklapper: per what I was told by my WMDE colleagues and per https://phabricator.wikimedia.org/T116784#1764810 I was considering @Deskana. But if he doesn't feel like doing it, I'll try to poke some other folks from WMF staff.

Deskana added a comment.EditedMay 3 2016, 4:33 PM

@WMDE-leszek Hey! :-) Could you briefly describe what you plan to use the access for? I should know that before I endorse the request.

Sure!
I am planning to use NDA access to access Graphite data (graphite.wikimedia.org is NDA-restricted), and edit Graphana dashboards, e.g. https://grafana.wikimedia.org/dashboard/db/wikidata, https://grafana.wikimedia.org/dashboard/db/mediawiki-catwatch-feature, https://grafana.wikimedia.org/dashboard/db/mediawiki-watcheditemstore.

I'll also add this to the ticket descriptions as it is indeed rather cryptic right now.

WMDE-leszek updated the task description. (Show Details)May 4 2016, 10:21 AM
WMDE-leszek added a subscriber: DannyH.

Thanks, @WMDE-leszek! I endorse the request. :-)

WMDE-leszek added a comment.EditedMay 6 2016, 8:44 AM

Thanks @Deskana !
@Aklapper : yes, I am now able to access L2. I've signed it.

Confirming the NDA signature in L2. :)

Last steps required here:

  • Sign off by a C level Wikimedia Foundation executive. WMF employees will arrange this as a last sign-off when all other criteria has been met. @Deskana ?
  • Have someone with access add you to the list of members of the Phabricator WMF-NDA project.

Note to myself: "C level Wikimedia Foundation executive" would welcome an explanation or link what that means.

  • Sign off by a C level Wikimedia Foundation executive. WMF employees will arrange this as a last sign-off when all other criteria has been met. @Deskana ?

C-level sign-off has not been the process in the past for WMDE employees; see T116784 and T111204 for examples, where my sign-off as a liaison between WMDE and WMF was sufficient. Can you point me to where that requirement is documented? It does not seem to be in the access requests documentation. Thanks! :-)

@Deskana: Ah, interesting. I was following https://wikitech.wikimedia.org/wiki/Volunteer_NDA - if that does not apply, updating the docs would be welcome because I'd love to just blindly follow them. :P

@Deskana: Ah, interesting. I was following https://wikitech.wikimedia.org/wiki/Volunteer_NDA - if that does not apply, updating the docs would be welcome because I'd love to just blindly follow them. :P

Ah, I wasn't aware of that page! Thanks for pointing it out. I've updated the documentation based on current practices. I'll ask @Wwes to sign off on the change.

Why do WMDE people get an exemption but normal volunteers don't?

Why do WMDE people get an exemption but normal volunteers don't?

Fair question. I don't have an answer. My edits to that page were to reflect current practice.

Anyway, I updated the documentation again after realising there may potentially be legal ramifications of such a change. Hopefully we can find a better solution than this...

I'm pretty sure it was the practice for all volunteers in the past.

Approved NDA access for this request. @Deskana thanks for changing back to original language. Sent this conversation to legal for further understanding.

Restricted Application added a project: Operations. · View Herald TranscriptJun 2 2016, 9:00 AM

I do not think that giving NDA access to everyone just because they need to create graphana dashboards (as it used to be public) is wise.

I am planning to use NDA access to access Graphite data (graphite.wikimedia.org is NDA-restricted), and edit Graphana dashboards, e.g. https://grafana.wikimedia.org/dashboard/db/wikidata, https://grafana.wikimedia.org/dashboard/db/mediawiki-catwatch-feature, https://grafana.wikimedia.org/dashboard/db/mediawiki-watcheditemstore.

I think all these 3 tickets should be resolved by creating a new LDAP group as suggested here T134651#2272444:
T136560
T135994
T134651

jcrespo triaged this task as Normal priority.Jun 3 2016, 9:31 AM
jcrespo moved this task from Untriaged to 3 Business Day Wait on the SRE-Access-Requests board.
jcrespo claimed this task.Jun 7 2016, 3:38 PM

@WMDE-leszek I have added your LDAP account, WMDE-leszek, to the group grafana-admin, please check that you can log in to https://grafana-admin.wikimedia.org

Thank you, Jaime.

RobH closed this task as Resolved.Jun 13 2016, 5:32 PM

Thank you @jcrespo, I can access grafana-admin.wikimedia.org now!